org.encog.app.analyst.script.normalize

## Class AnalystNormalize

- java.lang.Object
- - org.encog.app.analyst.script.normalize.AnalystNormalize

-     public class AnalystNormalize
      extends Object

  This class holds information about the fields that the Encog Analyst will normalize.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalystNormalize(AnalystScript theScript)` Construct the object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `calculateInputColumns()`
    `int` | `calculateOutputColumns()` Calculate the output columns.
    `int` | `countActiveFields()`
    `HandleMissingValues` | `getMissingValues()`
    `List<AnalystField>` | `getNormalizedFields()`
    `void` | `init(AnalystScript script)` Init the normalized fields.
    `void` | `setMissingValues(HandleMissingValues missingValues)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalystNormalize

          public AnalystNormalize(AnalystScript theScript)

      Construct the object.
      Parameters:
        `theScript` - The script.

  - ### Method Detail

    - #### calculateInputColumns

          public int calculateInputColumns()

      Returns:
        Calculate the input columns.

    - #### calculateOutputColumns

          public int calculateOutputColumns()

      Calculate the output columns.
      Returns:
        The output columns.

    - #### countActiveFields

          public int countActiveFields()

      Returns:
        Count the active fields.

    - #### getNormalizedFields

          public List<AnalystField> getNormalizedFields()

      Returns:
        the normalizedFields

    - #### init

          public void init(AnalystScript script)

      Init the normalized fields.
      Parameters:
        `script` - The script.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMissingValues

          public HandleMissingValues getMissingValues()

      Returns:
        the missingValues

    - #### setMissingValues

          public void setMissingValues(HandleMissingValues missingValues)

      Parameters:
        `missingValues` - the missingValues to set

Copyright © 2014. All Rights Reserved.